# ArchiveException (Apache Commons Compress 1.13 API)

org.apache.commons.compress.archivers

## Class ArchiveException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.compress.archivers.ArchiveException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    StreamingNotSupportedException

      public class ArchiveException
      extends Exception

  Archiver related Exception
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArchiveException(String message)` Constructs a new exception with the specified detail message.
    `ArchiveException(String message, Exception cause)` Constructs a new exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ArchiveException

          public ArchiveException(String message)

      Constructs a new exception with the specified detail message. The cause is not initialized.
      Parameters:
        `message` - the detail message

    - #### ArchiveException

          public ArchiveException(String message,
                          Exception cause)

      Constructs a new exception with the specified detail message and cause.
      Parameters:
        `message` - the detail message
        `cause` - the cause

Copyright © 2016 The Apache Software Foundation. All rights reserved.